Get an invoice
Get one invoice with its lines and balance.
GET https://cotlet.dev/api/v1/method-crm/invoices/{invoice_id}
read
Returns the lines, terms, taxes, discount, shipping, customer message, balance due and the linked estimate when there is one. Balance due is the value Method last saved.
Parameters
| Name | Type | Description |
|---|---|---|
| invoice_id string required | string | Invoice ID from list_invoices. |
Request
curl https://cotlet.dev/api/v1/method-crm/invoices/invoice_8c41d2 \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("method-crm", "get_invoice", {"invoice_id":"invoice_8c41d2"}) const result = await cotlet.call('method-crm', 'get_invoice', {"invoice_id":"invoice_8c41d2"}); cotlet call method-crm get_invoice --data '{"invoice_id":"invoice_8c41d2"}' Example response
{
"invoice_id": "1043",
"customer": "Ortega Kitchens",
"date": "2026-09-15",
"due": "2026-09-30",
"terms": "Net 15",
"lines": [
{
"item": "Demolition",
"quantity": 1,
"rate": 4800,
"amount": 4800
}
],
"total": 4800,
"balance_due": 4800
}